﻿/*
 * Created by SharpDevelop.
 * User: Maciek
 * Date: 2015-06-30
 * Time: 19:42
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Threading;
using NUnit.Framework;
using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;
using OpenQA.Selenium.Firefox;
using OpenQA.Selenium.IE;
using OpenQA.Selenium.Opera;
using OpenQA.Selenium.Support.PageObjects;

namespace DrugaSolucja
{
	[TestFixture]
	public class ZiemiaKlodzka
	{
		private IWebDriver driver;
        private string baseURL;
        public const int numerKraju = 2;
        public const string nazwaPrzegladarki = "IE";
        
        [SetUp]
        public void SetupTest()
        {
        	if(nazwaPrzegladarki == "Firefox")
        	{
        		driver = new FirefoxDriver();
        	}
        	if(nazwaPrzegladarki == "IE")
        	{
        		driver = new InternetExplorerDriver(@"C:\Users\Maciek\Desktop\Drivery");
        	}
        	if(nazwaPrzegladarki == "Chrome")
        	{
        		driver = new ChromeDriver(@"C:\Users\Maciek\Desktop\Drivery");
        	}
        	if(nazwaPrzegladarki == "Opera")
        	{
        		driver = new OperaDriver(@"C:\Users\Maciek\Desktop\Drivery");
        	}
        	baseURL = "http://www.ziemiaklodzka.pl/";
           	driver.Navigate().GoToUrl(baseURL);
        }
        
		[Test]
		public void ZmienJezyk()
		{
			StronaGlowna sg = new StronaGlowna(driver);
			PageFactory.InitElements(driver, sg);
			sg.WybierzJezykStrony();
			Thread.Sleep(3000);
		}
		
		[Test]
		public void ZakladkaPolozenieTest()
		{
			StronaGlowna sg = new StronaGlowna(driver);
			PageFactory.InitElements(driver, sg);
			sg.Sprawdz();
			Thread.Sleep(3000);
		}

		[TearDown]
        public void TeardownTest()
        {
            try
            {
                driver.Quit();
            }
            catch (Exception)
            {
                // Ignore errors if unable to close the browser
            }
        }
	}
}
